EZ5 MIB Catalog

CISCO-ENTITY-SENSOR-EXT-MIB

2010-06-10

This MIB is extension to ENTITY-SENSOR-MIB(RFC 3433). This MIB also defines the notifications applicable for sensors reported in ENTITY-MIB(RFC 4133).

Download CISCO-ENTITY-SENSOR-EXT-MIB.txt Open CISCO-ENTITY-SENSOR-EXT-MIB.txt in a new tab

SCALARS (1) · TABLES (1) · TRAPS (1)

Scalars (1)

NameOID
ceSensorExtThresholdNotifGlobalEnable1.3.6.1.4.1.9.9.745.1.2.1

Tables (1)

NameOID
ceSensorExtThresholdTable1.3.6.1.4.1.9.9.745.1.1

Traps (1)

NameOID
ceSensorExtThresholdNotification1.3.6.1.4.1.9.9.745.0.1

END OF TOC

Scalar details

ceSensorExtThresholdNotifGlobalEnable

1.3.6.1.4.1.9.9.745.1.2.1

INTEGER1 = enabled2 = disabled · Integer32

A control object to activate/deactivate ceSensorExtThresholdNotification. This object should hold any of the below values. enabled(1) - The notification is enabled globally on the device disabled(2)- The notification is disabled globally on the device This object enables the generation of ceSensorExtThresholdNotification globally on the device. If this object value is 'disabled', then no ceSensorExtThresholdNotification will be generated on this device. If this object value is 'enabled', then whether a ceSensorExtThresholdNotification for a threshold will be generated or not depends on the instance value of ceSensorExtThresholdNotifEnable for that threshold.

Table details

ceSensorExtThresholdTable

1.3.6.1.4.1.9.9.745.1.1

Index: entPhysicalIndex · ceSensorExtThresholdIndex

Reference: ENTITY-MIB contains definition for entPhysicalTable

This table lists the threshold severity, relation, and comparison value, for a sensor entity listed in entPhysicalTable.

from ENTITY-MIB

entPhysicalIndex

PhysicalIndexAn arbitrary value that uniquely identifies the physical entity. The value should be a small positive integer. Index values for different physical entities are not necessarily contiguous. (1..2147483647) · Integer32 · hint d

The index for this entry.

ceSensorExtThresholdIndex

1.3.6.1.4.1.9.9.745.1.1.1.1

Unsigned32 (1..4294967295)

An index that uniquely identifies an entry in the ceSensorExtThresholdTable. This index permits the same sensor to have several different thresholds.

ceSensorExtThresholdSeverity

1.3.6.1.4.1.9.9.745.1.1.1.2

CiscoSensorThresholdSeverity1 = other10 = minor20 = major30 = criticalsensor threshold severity. Valid values are: other(1) : a severity other than those listed below. minor(10) : Minor Problem threshold. major(20) : Major Problem threshold. critical(30): Critical problem threshold. A system might shut down the sensor associated FRU automatically if the sensor value reach the critical problem threshold. · Integer32

This object specifies the severity of this threshold.

ceSensorExtThresholdRelation

1.3.6.1.4.1.9.9.745.1.1.1.3

CiscoSensorThresholdRelation1 = lessThan2 = lessOrEqual3 = greaterThan4 = greaterOrEqual5 = equalTo6 = notEqualTosensor threshold relational operator types. valid values are: lessThan(1): if the sensor value is less than the threshold value lessOrEqual(2): if the sensor value is less than or equal to the threshold value greaterThan(3): if the sensor value is greater than the threshold value greaterOrEqual(4): if the sensor value is greater than or equal to the threshold value equalTo(5): if the sensor value is equal to the threshold value notEqualTo(6): if the sensor value is not equal to the threshold value · Integer32

This object specifies the boolean relation between sensor value (entPhySensorValue) and threshold value (ceSensorExtThresholdValue), required to trigger the alarm. in pseudo-code, the evaluation-alarm mechanism is: ... if (evaluate(entPhySensorValue, ceSensorExtThresholdRelation, ceSensorExtThresholdValue)) then if (((ceSensorExtThresholdNotifEnable == enabled) || (ceSensorExtThresholdNotifEnable == transparent)) && (ceSensorExtThresholdNotifGlobalEnable == enabled)) then raise_alarm(sensor's entPhysicalIndex); endif endif ...

ceSensorExtThresholdValue

1.3.6.1.4.1.9.9.745.1.1.1.4

EntitySensorValueAn object using this data type represents an Entity Sensor value. An object of this type SHOULD be defined together with objects of type EntitySensorDataType, EntitySensorDataScale and EntitySensorPrecision. Together, associated objects of those three types are used to identify the semantics of an object of this data type. The semantics of an object using this data type are determined by the value of the associated EntitySensorDataType object. If the associated EntitySensorDataType object is equal to 'voltsAC(3)', 'voltsDC(4)', 'amperes(5)', 'watts(6), 'hertz(7)', 'celsius(8)', or 'cmm(11)', then an object of this type MUST contain a fixed point number ranging from -999,999,999 to +999,999,999. The value -1000000000 indicates an underflow error. The value +1000000000 indicates an overflow error. The EntitySensorPrecision indicates how many fractional digits are represented in the associated EntitySensorValue object. If the associated EntitySensorDataType object is equal to 'percentRH(9)', then an object of this type MUST contain a number ranging from 0 to 100. If the associated EntitySensorDataType object is equal to 'rpm(10)', then an object of this type MUST contain a number ranging from -999,999,999 to +999,999,999. If the associated EntitySensorDataType object is equal to 'truthvalue(12)', then an object of this type MUST contain either the value 'true(1)' or the value 'false(2)'. If the associated EntitySensorDataType object is equal to 'other(1)' or unknown(2)', then an object of this type MUST contain a number ranging from -1000000000 to 1000000000. (-1000000000..1000000000) · Integer32

Reference: ENTITY-SENSOR-MIB contains definitions for entPhysSensorScale and entPhySensorPrecision

This object specifies the value of the threshold. The value of objects entPhySensorType, entPhysSensorScale and entPhySensorPrecision for this sensor entity defines how ceSensorExtThresholdValue can be displayed or intepreted by the user. entPhySensorValue can be compared with ceSensorExtThresholdValue without taking care of semantics of both objects.

ceSensorExtThresholdEvaluation

1.3.6.1.4.1.9.9.745.1.1.1.5

TruthValue1 = true2 = falseRepresents a boolean value. · Integer32

Reference: ENTITY-SENSOR-MIB contains definition for entPhySensorValueUpdateRate

This object indicates the result of the most recent evaluation of the threshold. The agent will execute the below 'evaluate' function to generate the notification. 'evaluate' function returns a boolean value. evaluate(entPhySensorValue, ceSensorExtThresholdRelation, ceSensorExtThresholdValue) If evalute function returns true then ceSensorExtThresholdEvaluation is set to 'true' If evaluate function returns false then ceSensorExtThresholdEvaluation is set to 'false'. Thresholds are evaluated at the rate indicated by entPhySensorValueUpdateRate.

ceSensorExtThresholdNotifEnable

1.3.6.1.4.1.9.9.745.1.1.1.6

INTEGER1 = enabled2 = disabled3 = transparent · Integer32

A control object to activate/deactivate ceSensorExtThresholdNotification. This object should hold any of the below values. enabled(1) - The notification is enabled for this entity disabled(2) - The notification is disabled for this entity transparent(3)- The notification is enabled/disabled based on ceSensorExtThresholdNotifGlobalEnable object This object controls generation of ceSensorExtThresholdNotification for this threshold. An exception to this is, if this object is set to 'transparent' then ceSensorExtThresholdNotification for this threshold is controlled by ceSensorExtThresholdNotifGlobalEnable object. This truth table explains how ceSensorExtThresholdNotifEnable is related with ceSensorExtThresholdNotifGlobalEnable to control the ceSensorExtThresholdNotification for this threshold E = enabled, D = Disabled, T = Transparent local_flag = ceSensorExtThresholdNotifEnable global_flag = ceSensorExtThresholdNotifGlobalEnable local_flag global_flag outcome_per_interface --------------------------------------------- E E E E D D D E D D D D T E E T D D

Trap details

ceSensorExtThresholdNotification

1.3.6.1.4.1.9.9.745.0.1

This notification is generated once each time the sensor value crosses the threshold value specified by ceSensorExtThresholdValue object.

entPhysicalName

1.3.6.1.2.1.47.1.1.1.1.7

SnmpAdminStringAn octet string containing administrative information, preferably in human-readable form. To facilitate internationalization, this information is represented using the ISO/IEC IS 10646-1 character set, encoded as an octet string using the UTF-8 transformation format described in [RFC2279]. Since additional code points are added by amendments to the 10646 standard from time to time, implementations must be prepared to encounter any code point from 0x00000000 to 0x7fffffff. Byte sequences that do not correspond to the valid UTF-8 encoding of a code point or are outside this range are prohibited. The use of control codes should be avoided. When it is necessary to represent a newline, the control code sequence CR LF should be used. The use of leading or trailing white space should be avoided. For code points not directly supported by user interface hardware or software, an alternative means of entry and display, such as hexadecimal, may be provided. For information encoded in 7-bit US-ASCII, the UTF-8 encoding is identical to the US-ASCII encoding. UTF-8 may require multiple bytes to represent a single character / code point; thus the length of this object in octets may be different from the number of characters encoded. Similarly, size constraints refer to the number of encoded octets, not the number of characters represented by an encoding. Note that when this TC is used for an object that is used or envisioned to be used as an index, then a SIZE restriction MUST be specified so that the number of sub-identifiers for any object instance does not exceed the limit of 128, as defined by [RFC3416]. Note that the size of an SnmpAdminString object is measured in octets, not characters. SIZE (0..255) · OCTET STRING · hint 255t

The textual name of the physical entity. The value of this object should be the name of the component as assigned by the local device and should be suitable for use in commands entered at the device's 'console'. This might be a text name (e.g., 'console') or a simple component number (e.g., port or module number, such as '1'), depending on the physical component naming syntax of the device. If there is no local name, or if this object is otherwise not applicable, then this object contains a zero-length string. Note that the value of entPhysicalName for two physical entities will be the same in the event that the console interface does not distinguish between them, e.g., slot-1 and the card in slot-1.

entPhysicalDescr

1.3.6.1.2.1.47.1.1.1.1.2

SnmpAdminStringAn octet string containing administrative information, preferably in human-readable form. To facilitate internationalization, this information is represented using the ISO/IEC IS 10646-1 character set, encoded as an octet string using the UTF-8 transformation format described in [RFC2279]. Since additional code points are added by amendments to the 10646 standard from time to time, implementations must be prepared to encounter any code point from 0x00000000 to 0x7fffffff. Byte sequences that do not correspond to the valid UTF-8 encoding of a code point or are outside this range are prohibited. The use of control codes should be avoided. When it is necessary to represent a newline, the control code sequence CR LF should be used. The use of leading or trailing white space should be avoided. For code points not directly supported by user interface hardware or software, an alternative means of entry and display, such as hexadecimal, may be provided. For information encoded in 7-bit US-ASCII, the UTF-8 encoding is identical to the US-ASCII encoding. UTF-8 may require multiple bytes to represent a single character / code point; thus the length of this object in octets may be different from the number of characters encoded. Similarly, size constraints refer to the number of encoded octets, not the number of characters represented by an encoding. Note that when this TC is used for an object that is used or envisioned to be used as an index, then a SIZE restriction MUST be specified so that the number of sub-identifiers for any object instance does not exceed the limit of 128, as defined by [RFC3416]. Note that the size of an SnmpAdminString object is measured in octets, not characters. SIZE (0..255) · OCTET STRING · hint 255t

A textual description of physical entity. This object should contain a string that identifies the manufacturer's name for the physical entity and should be set to a distinct value for each version or model of the physical entity.

entPhySensorValue

1.3.6.1.2.1.99.1.1.1.4

EntitySensorValueAn object using this data type represents an Entity Sensor value. An object of this type SHOULD be defined together with objects of type EntitySensorDataType, EntitySensorDataScale and EntitySensorPrecision. Together, associated objects of those three types are used to identify the semantics of an object of this data type. The semantics of an object using this data type are determined by the value of the associated EntitySensorDataType object. If the associated EntitySensorDataType object is equal to 'voltsAC(3)', 'voltsDC(4)', 'amperes(5)', 'watts(6), 'hertz(7)', 'celsius(8)', or 'cmm(11)', then an object of this type MUST contain a fixed point number ranging from -999,999,999 to +999,999,999. The value -1000000000 indicates an underflow error. The value +1000000000 indicates an overflow error. The EntitySensorPrecision indicates how many fractional digits are represented in the associated EntitySensorValue object. If the associated EntitySensorDataType object is equal to 'percentRH(9)', then an object of this type MUST contain a number ranging from 0 to 100. If the associated EntitySensorDataType object is equal to 'rpm(10)', then an object of this type MUST contain a number ranging from -999,999,999 to +999,999,999. If the associated EntitySensorDataType object is equal to 'truthvalue(12)', then an object of this type MUST contain either the value 'true(1)' or the value 'false(2)'. If the associated EntitySensorDataType object is equal to 'other(1)' or unknown(2)', then an object of this type MUST contain a number ranging from -1000000000 to 1000000000. (-1000000000..1000000000) · Integer32

The most recent measurement obtained by the agent for this sensor. To correctly interpret the value of this object, the associated entPhySensorType, entPhySensorScale, and entPhySensorPrecision objects must also be examined.

entPhySensorType

1.3.6.1.2.1.99.1.1.1.1

EntitySensorDataType1 = other2 = unknown3 = voltsAC4 = voltsDC5 = amperes6 = watts7 = hertz8 = celsius9 = percentRH10 = rpm11 = cmm12 = truthvalueAn object using this data type represents the Entity Sensor measurement data type associated with a physical sensor value. The actual data units are determined by examining an object of this type together with the associated EntitySensorDataScale object. An object of this type SHOULD be defined together with objects of type EntitySensorDataScale and EntitySensorPrecision. Together, associated objects of these three types are used to identify the semantics of an object of type EntitySensorValue. Valid values are: other(1): a measure other than those listed below unknown(2): unknown measurement, or arbitrary, relative numbers voltsAC(3): electric potential voltsDC(4): electric potential amperes(5): electric current watts(6): power hertz(7): frequency celsius(8): temperature percentRH(9): percent relative humidity rpm(10): shaft revolutions per minute cmm(11),: cubic meters per minute (airflow) truthvalue(12): value takes { true(1), false(2) } · Integer32

The type of data returned by the associated entPhySensorValue object. This object SHOULD be set by the agent during entry creation, and the value SHOULD NOT change during operation.

ceSensorExtThresholdValue

1.3.6.1.4.1.9.9.745.1.1.1.4

EntitySensorValueAn object using this data type represents an Entity Sensor value. An object of this type SHOULD be defined together with objects of type EntitySensorDataType, EntitySensorDataScale and EntitySensorPrecision. Together, associated objects of those three types are used to identify the semantics of an object of this data type. The semantics of an object using this data type are determined by the value of the associated EntitySensorDataType object. If the associated EntitySensorDataType object is equal to 'voltsAC(3)', 'voltsDC(4)', 'amperes(5)', 'watts(6), 'hertz(7)', 'celsius(8)', or 'cmm(11)', then an object of this type MUST contain a fixed point number ranging from -999,999,999 to +999,999,999. The value -1000000000 indicates an underflow error. The value +1000000000 indicates an overflow error. The EntitySensorPrecision indicates how many fractional digits are represented in the associated EntitySensorValue object. If the associated EntitySensorDataType object is equal to 'percentRH(9)', then an object of this type MUST contain a number ranging from 0 to 100. If the associated EntitySensorDataType object is equal to 'rpm(10)', then an object of this type MUST contain a number ranging from -999,999,999 to +999,999,999. If the associated EntitySensorDataType object is equal to 'truthvalue(12)', then an object of this type MUST contain either the value 'true(1)' or the value 'false(2)'. If the associated EntitySensorDataType object is equal to 'other(1)' or unknown(2)', then an object of this type MUST contain a number ranging from -1000000000 to 1000000000. (-1000000000..1000000000) · Integer32

Reference: ENTITY-SENSOR-MIB contains definitions for entPhysSensorScale and entPhySensorPrecision

This object specifies the value of the threshold. The value of objects entPhySensorType, entPhysSensorScale and entPhySensorPrecision for this sensor entity defines how ceSensorExtThresholdValue can be displayed or intepreted by the user. entPhySensorValue can be compared with ceSensorExtThresholdValue without taking care of semantics of both objects.

↑ To TOC